Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.gotoandplay.smartfoxclient.data
Class SFSVariable

    java.lang.Object
      it.gotoandplay.smartfoxclient.data.SFSVariable

Direct Known Subclasses:
  RoomVariableRequest

    public class SFSVariable

extends java.lang.Object

Author:
  Lapo

Field Summary
`protected java.lang.String` | `type`
`static java.lang.String` | `TYPE_BOOLEAN`
`static java.lang.String` | `TYPE_NULL`
`static java.lang.String` | `TYPE_NUMBER`
`static java.lang.String` | `TYPE_STRING`
`protected java.lang.String` | `value`

Constructor Summary
`SFSVariable(java.lang.String value, java.lang.String type)` Default constructor

Method Summary
`java.lang.String` | `getType()` Returns the variable type.
`java.lang.String` | `getValue()` Returns the variable value.
`void` | `setType(java.lang.String type)` Set the variable type
`void` | `setValue(java.lang.String value)` Set the variable value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_NULL

    public static java.lang.String TYPE_NULL

### TYPE_BOOLEAN

    public static java.lang.String TYPE_BOOLEAN

### TYPE_NUMBER

    public static java.lang.String TYPE_NUMBER

### TYPE_STRING

    public static java.lang.String TYPE_STRING

### value

    protected java.lang.String value

### type

    protected java.lang.String type

Constructor Detail

### SFSVariable

    public SFSVariable(java.lang.String value,
                       java.lang.String type)

  Default constructor

  Parameters:
    `value` - var value
    `type` - var type

Method Detail

### setType

    public void setType(java.lang.String type)

  Set the variable type

  Parameters:
    `type` - the type

### getType

    public java.lang.String getType()

  Returns the variable type.

  Returns:
    the variable type

### setValue

    public void setValue(java.lang.String value)

  Set the variable value

  Parameters:
    `value` - the value

### getValue

    public java.lang.String getValue()

  Returns the variable value.

  Returns:
    the variable value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD